Class CfnRouteMixinProps.Jsii$Proxy
- All Implemented Interfaces:
CfnRouteMixinProps,software.amazon.jsii.JsiiSerializable
- Enclosing interface:
CfnRouteMixinProps
CfnRouteMixinProps-
Nested Class Summary
Nested classes/interfaces inherited from class software.amazon.jsii.JsiiObject
software.amazon.jsii.JsiiObject.InitializationModeNested classes/interfaces inherited from interface software.amazon.awscdk.cfnpropertymixins.services.apigatewayv2.CfnRouteMixinProps
CfnRouteMixinProps.Builder, CfnRouteMixinProps.Jsii$Proxy -
Constructor Summary
ConstructorsModifierConstructorDescriptionprotectedJsii$Proxy(CfnRouteMixinProps.Builder builder) Constructor that initializes the object based on literal property values passed by theCfnRouteMixinProps.Builder.protectedJsii$Proxy(software.amazon.jsii.JsiiObjectRef objRef) Constructor that initializes the object based on values retrieved from the JsiiObject. -
Method Summary
Modifier and TypeMethodDescriptioncom.fasterxml.jackson.databind.JsonNodefinal booleanfinal ObjectgetApiId()The API identifier.final ObjectSpecifies whether an API key is required for the route.The authorization scopes supported by this route.final StringThe authorization type for the route.final ObjectThe identifier of theAuthorizerresource to be associated with this route.final StringThe model selection expression for the route.final StringThe operation name for the route.final ObjectThe request models for the route.final ObjectThe request parameters for the route.final StringThe route key for the route.final StringThe route response selection expression for the route.final ObjectThe target for the route.final inthashCode()Methods inherited from class software.amazon.jsii.JsiiObject
jsiiAsyncCall, jsiiAsyncCall, jsiiCall, jsiiCall, jsiiGet, jsiiGet, jsiiSet, jsiiStaticCall, jsiiStaticCall, jsiiStaticGet, jsiiStaticGet, jsiiStaticSet, jsiiStaticSet
-
Constructor Details
-
Jsii$Proxy
protected Jsii$Proxy(software.amazon.jsii.JsiiObjectRef objRef) Constructor that initializes the object based on values retrieved from the JsiiObject.- Parameters:
objRef- Reference to the JSII managed object.
-
Jsii$Proxy
Constructor that initializes the object based on literal property values passed by theCfnRouteMixinProps.Builder.
-
-
Method Details
-
getApiId
Description copied from interface:CfnRouteMixinProps- Specified by:
getApiIdin interfaceCfnRouteMixinProps- See Also:
-
getApiKeyRequired
Description copied from interface:CfnRouteMixinPropsSpecifies whether an API key is required for the route.Supported only for WebSocket APIs.
Returns union: either
BooleanorIResolvable- Specified by:
getApiKeyRequiredin interfaceCfnRouteMixinProps- See Also:
-
getAuthorizationScopes
Description copied from interface:CfnRouteMixinPropsThe authorization scopes supported by this route.- Specified by:
getAuthorizationScopesin interfaceCfnRouteMixinProps- See Also:
-
getAuthorizationType
Description copied from interface:CfnRouteMixinPropsThe authorization type for the route.For WebSocket APIs, valid values are
NONEfor open access,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer. For HTTP APIs, valid values areNONEfor open access,JWTfor using JSON Web Tokens,AWS_IAMfor using AWS IAM permissions, andCUSTOMfor using a Lambda authorizer.- Specified by:
getAuthorizationTypein interfaceCfnRouteMixinProps- See Also:
-
getAuthorizerId
Description copied from interface:CfnRouteMixinPropsThe identifier of theAuthorizerresource to be associated with this route.The authorizer identifier is generated by API Gateway when you created the authorizer.
Returns union: either
StringorIAuthorizerRef- Specified by:
getAuthorizerIdin interfaceCfnRouteMixinProps- See Also:
-
getModelSelectionExpression
Description copied from interface:CfnRouteMixinPropsThe model selection expression for the route.Supported only for WebSocket APIs.
- Specified by:
getModelSelectionExpressionin interfaceCfnRouteMixinProps- See Also:
-
getOperationName
Description copied from interface:CfnRouteMixinPropsThe operation name for the route.- Specified by:
getOperationNamein interfaceCfnRouteMixinProps- See Also:
-
getRequestModels
Description copied from interface:CfnRouteMixinPropsThe request models for the route.Supported only for WebSocket APIs.
- Specified by:
getRequestModelsin interfaceCfnRouteMixinProps- See Also:
-
getRequestParameters
Description copied from interface:CfnRouteMixinPropsThe request parameters for the route.Supported only for WebSocket APIs.
- Specified by:
getRequestParametersin interfaceCfnRouteMixinProps- See Also:
-
getRouteKey
Description copied from interface:CfnRouteMixinPropsThe route key for the route.For HTTP APIs, the route key can be either
$default, or a combination of an HTTP method and resource path, for example,GET /pets.- Specified by:
getRouteKeyin interfaceCfnRouteMixinProps- See Also:
-
getRouteResponseSelectionExpression
Description copied from interface:CfnRouteMixinPropsThe route response selection expression for the route.Supported only for WebSocket APIs.
- Specified by:
getRouteResponseSelectionExpressionin interfaceCfnRouteMixinProps- See Also:
-
getTarget
Description copied from interface:CfnRouteMixinPropsThe target for the route.Returns union: either
StringorIIntegrationRef- Specified by:
getTargetin interfaceCfnRouteMixinProps- See Also:
-
$jsii$toJson
@Internal public com.fasterxml.jackson.databind.JsonNode $jsii$toJson()- Specified by:
$jsii$toJsonin interfacesoftware.amazon.jsii.JsiiSerializable
-
equals
-
hashCode
public final int hashCode()
-